Texa DeskDevelopers

Client API · Contacts

Get a contact

GET/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}

Get the details of a contact

Path parameters

inbox_identifierstringrequired

The identifier obtained from API inbox channel

contact_identifierstringrequired

The source id of contact obtained on contact create

Responses

200

Success

idinteger

Id of the contact

source_idstring

The session identifier of the contact

namestring

Name of the contact when available

emailstring

Email of the contact

phone_numberstring

Phone number of the contact

pubsub_tokenstring

The token to be used to connect to texa-desk websocket

401

Unauthorized

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

The given contact does not exist

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring